# ifndef SETTINGS_H
# define SETTINGS_H

# include <QDialog>
# include <QSound>
# include <QProcess>

# include "ui_settings.h"

class settingsDialog : public QDialog, public Ui::settingsDialog
{
	Q_OBJECT

public:
	settingsDialog(QWidget *parent = 0);

private slots:
	void saveSettings();
	void cancelSettings();

	void openConnected();
	void openDisconnected();

	void playConnected();
	void playDisconnected();

private:
	QProcess play_audio_file;

signals:
	void retAudioPath(const QString &,const QString &);

};

# endif